Skip to main content
POST
/
v1
/
ekyc
/
aadhaar
/
generate-otp
Generate Otp
curl --request POST \
  --url https://production.deepvue.tech/v1/ekyc/aadhaar/generate-otp \
  --header 'client-id: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "code": 200,
  "timestamp": 1738243998047,
  "transaction_id": "718e0fb212ed4c518398b96f4d09e58c",
  "sub_code": "SUCCESS",
  "message": "OTP sent to your Registered Mobile number. Check your mobile."
}

Documentation Index

Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

client-id
string
header
required

The CLIENT_ID provided to you. This header parameter is required for authentication purposes.

Query Parameters

aadhaar_number
string
required

User's 12-digit Aadhaar number.

captcha
string
required

Captcha string to be entered by the user as seen in the initiated session.

session_id
string
required

Unique ID assigned by Deepvue when the session was initiated.

Y/N based on whether the customer has given consent for validating their KYC.

purpose
string
required

The purpose of the KYC check as required by regulations.

Response

Successful Response

code
integer
default:200
timestamp
integer
transaction_id
string
sub_code
string
default:SUCCESS
message
string
default:OTP sent to your Registered Mobile number. Check your mobile.